Run Full Evaluation
curl --request POST \
--url https://api.promptlayer.com/reports/{report_id}/run \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"dataset_id": 123,
"refresh_dataset": true
}
'import requests
url = "https://api.promptlayer.com/reports/{report_id}/run"
payload = {
"name": "<string>",
"dataset_id": 123,
"refresh_dataset": True
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', dataset_id: 123, refresh_dataset: true})
};
fetch('https://api.promptlayer.com/reports/{report_id}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"report_id": 123
}{
"success": true,
"message": "<string>"
}{
"success": true,
"message": "<string>"
}{
"success": true,
"message": "<string>"
}{
"success": true,
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Evaluations & Reports API
Run Full Evaluation
POST
/
reports
/
{report_id}
/
run
Run Full Evaluation
Legacy Dataset, Evaluation, and Report endpoints are deprecated for new workflows. Use the Tables API for new dataset import, evaluation, scoring, recalculation, and reporting workflows.
Authorizations
Path Parameters
ID of the evaluation pipeline report to run.
Body
application/json
The name of the final report to be created. Must be between 1 and 255 characters in length.
Required string length:
1 - 255The ID of the dataset to use for the report. If not provided, uses the evaluation pipeline's default dataset.
Whether to refresh the dataset before running the report. Only applicable for dynamic datasets.
Was this page helpful?
⌘I

